SoDebugError(3IV)

NAME
SoDebugError — debug error handling

INHERITS FROM
SoError > SoDebugError

SYNOPSIS
#include <Inventor/errors/SoDebugError.h>

enum Severity {
SoDebugError::ERROR
Error
SoDebugError::WARNING
Just a warning
SoDebugError::INFO
No error, just information
}

Methods from class SoDebugError:

static void
setHandlerCallback(SoErrorCB *cb, void *data)
static SoErrorCB *
getHandlerCallback()
static void *
getHandlerData()
static SoType
getClassTypeId()
SoDebugError::Severity
getSeverity() const

Methods from class SoError:

const SbString &
getDebugString() const
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
SoDebugError is used for all errors reported from the debugging version of the Inventor library. These errors are typically programmer errors, such as passing a NULL pointer or an out-of-range index. The post() method takes the name of the Inventor method that detected the error, to aid the programmer in debugging.

METHODS
static void
setHandlerCallback(SoErrorCB *cb, void *data)
static SoErrorCB *
getHandlerCallback()
static void *
getHandlerData()
Sets/returns handler callback for SoDebugError class.

static SoType
getClassTypeId()
Returns type identifier for SoDebugError class.

SoDebugError::Severity
getSeverity() const
Returns severity of error (for use by handlers).

SEE ALSO
SoMemoryError, SoReadError